<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	die;
}

function ced_ebay_countries() {
	$countries = array(
		'MY' => 'Malaysia',
		'TH' => 'Thailand',
		'VN' => 'Vietnam',
		'PH' => 'Philippines',
		'SG' => 'Singapore',
		'ID' => 'Indonesia',
		'TW' => 'Taiwan',
	);
	return $countries;
}



function ced_ebay_get_shop_data( $user_id = '' ) {
	if ( ! empty( get_option( 'ced_ebay_user_access_token' ) ) ) {
		require_once CED_EBAY_DIRPATH . 'admin/ebay/lib/ebayAuthorization.php';
		$shop_data = get_option( 'ced_ebay_user_access_token' );
		if ( ! empty( $shop_data ) ) {
			return $shop_data[ $user_id ];
		}
	}
}

function ced_ebay_pre_flight_check( $user_id ) {
	if ( ! empty( get_option( 'ced_ebay_user_access_token' ) ) ) {
		require_once CED_EBAY_DIRPATH . 'admin/ebay/lib/ebayAuthorization.php';
		$shop_data = get_option( 'ced_ebay_user_access_token' );
		if ( ! empty( $shop_data ) ) {
			$token   = isset( $shop_data[ $user_id ]['access_token'] ) ? $shop_data[ $user_id ]['access_token'] : '';
			$site_id = isset( $shop_data[ $user_id ]['site_id'] ) ? $shop_data[ $user_id ]['site_id'] : '';
			if ( ! empty( $token ) && '' != $site_id ) {
				require_once CED_EBAY_DIRPATH . 'admin/ebay/lib/ebayUpload.php';
				$ebayUploadInstance     = EbayUpload::get_instance( $site_id, $token );
				$check_token_status_xml = '<?xml version="1.0" encoding="utf-8"?>
				<GeteBayOfficialTimeRequest xmlns="urn:ebay:apis:eBLBaseComponents">
				<RequesterCredentials>
				<eBayAuthToken>' . $token . '</eBayAuthToken>
				</RequesterCredentials>
				</GeteBayOfficialTimeRequest>';
				$get_ebay_time          = $ebayUploadInstance->get_ebay_time( $check_token_status_xml );
				if ( isset( $get_ebay_time['Ack'] ) && 'Success' == $get_ebay_time['Ack'] ) {
					return true;
				} else {
					return false;
				}
			}
		}
	}
}



function eBay_Domain() {
	$domains = array(
		'MY' => 'https://ebay.com.my/',
		'TH' => 'https://ebay.co.th/',
		'VN' => 'https://ebay.vn/',
		'PH' => 'https://ebay.ph/',
		'SG' => 'https://ebay.sg/',
		'ID' => 'https://ebay.co.id/',
		'TW' => 'https://ebay.tw/',
	);
	return $domains;
}

function ced_ebay_time_elapsed_string( $datetime, $full = false ) {
	$now  = new DateTime();
	$ago  = new DateTime( $datetime );
	$diff = $now->diff( $ago );

	$diff->w  = floor( $diff->d / 7 );
	$diff->d -= $diff->w * 7;

	$string = array(
		'y' => 'year',
		'm' => 'month',
		'w' => 'week',
		'd' => 'day',
		'h' => 'hour',
		'i' => 'minute',
		's' => 'second',
	);
	foreach ( $string as $k => &$v ) {
		if ( $diff->$k ) {
			$v = $diff->$k . ' ' . $v . ( $diff->$k > 1 ? 's' : '' );
		} else {
			unset( $string[ $k ] );
		}
	}

	if ( ! $full ) {
		$string = array_slice( $string, 0, 1 );
	}
	return $string ? implode( ', ', $string ) . ' ago' : 'just now';
}

